/* Copyright (c) 2001-2004 by SoftIntegration, Inc. All Rights Reserved */
/* a sample program that computes the next representable value */ 
#include <math.h>
#include <stdio.h>

int main() {
    double x, y, z;
    
    x = 5.0;
    y = 10.0;
    z = nextafter(x, y); 
    printf("%f is the next representable value.\n",z);
}
